<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
   <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
  
 <!-- 
         demonstration of problem with padding when generating title slides
-->  

<xsl:template match="/">
   <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
   
      <fo:layout-master-set>
         
         <fo:simple-page-master master-name="title-page" 
            page-width="10in" page-height="7.5in" 
            margin-top="0in" margin-bottom="0in" 
            margin-left="0in" margin-right="0in">
         <fo:region-body region-name="xsl-region-body" 
            margin-top="0in" margin-bottom="0in"
            margin-left="0in" margin-right="0in"
         />
         <fo:region-after extent="0.2in" region-name="slide-footer"/>
         </fo:simple-page-master>           
 
      </fo:layout-master-set> 

     <xsl:call-template name="generate-course-title-page"/>

   </fo:root>      
</xsl:template> 

<xsl:template name="generate-course-title-page">
      <fo:page-sequence master-reference="title-page">
         <xsl:call-template name="generate-footer"/>
      <fo:flow flow-name="xsl-region-body">
         <fo:block 
            text-align="center" 
            font-weight="bold" 
            font-size="72pt" 
            margin-top="2.25in" 
            background-color="#00707e"
            color="#ffffff"
            padding="0.5in"
            >
               <xsl:value-of select="course/coursename"/>
         </fo:block>
      </fo:flow>
      </fo:page-sequence>   
</xsl:template> 

   
<xsl:template name="generate-footer"> 
  <fo:static-content flow-name="slide-footer">
      <fo:block
         background-color="#ffffff"
         color="#666666"
         font-weight="normal"
         font-size="11pt"
      >
          <fo:table>
              <fo:table-column column-width="0.1in"/>
              <fo:table-column column-width="4.4in"/>
              <fo:table-column column-width="1in"/>
              <fo:table-column column-width="4.4in"/>
              <fo:table-column column-width="0.1in"/>                    
              <fo:table-body>
                  <fo:table-row>
                      <fo:table-cell/>
                      <fo:table-cell>
                          <fo:block text-align="start">
                             <xsl:value-of select="/course/coursename"/>
                          </fo:block>
                      </fo:table-cell>
                      <fo:table-cell>
                          <fo:block text-align="center"><fo:page-number/></fo:block>
                      </fo:table-cell>
                      <fo:table-cell>
                          <fo:block text-align="end">
                             <xsl:value-of select="/course/copyright"/>
                          </fo:block>
                      </fo:table-cell>
                      <fo:table-cell/>
                  </fo:table-row>
              </fo:table-body>
          </fo:table>
      </fo:block>
  </fo:static-content> 
</xsl:template>

</xsl:stylesheet>
